Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos.msg
Interface APRep

public interface APRep
extends EncryptedPart, KerberosMessage

An interface to the Kerberos application response message.

Defined in RFC 1510 by the ASN.1 structure AP-REP

       AP-REP ::=  [APPLICATION 15] SEQUENCE {
                      pvno[0]             INTEGER,
                      msg-type[1]         INTEGER,
                      enc-part[2]         EncryptedData
                    }

       EncAPRepPart ::=  [APPLICATION 27]  SEQUENCE {
                            ctime[0]            KerberosTime,
                            cusec[1]            INTEGER,
                            subkey[2]           EncryptionKey OPTIONAL,
                            seq-number[3]       INTEGER OPTIONAL
                    }

Method Summary
`Date` | `getClientTime()` Returns the client time in this response.
`int` | `getSequenceNumber()` Returns the sequence number in this response
`EncryptionKey` | `getSubSessionKey()` Returns the sub-session key in this response

Methods inherited from interface com.dstc.security.kerberos.msg.EncryptedPart
`decrypt, encryptionType, initDecrypt`

Methods inherited from interface com.dstc.security.kerberos.msg.KerberosMessage
`getEncoded`

Method Detail

### getSequenceNumber

    public int getSequenceNumber()
                          throws NotYetDecryptedException

  Returns the sequence number in this response

### getClientTime

    public Date getClientTime()
                       throws NotYetDecryptedException

  Returns the client time in this response. The returned time is a combination of the ctime and cusec fields in the ASN.1 definition of EncAPRepPart, correct to the resolution of a Java Date (ie. fractional milliseconds are ignored).

### getSubSessionKey

    public EncryptionKey getSubSessionKey()
                                   throws NotYetDecryptedException

  Returns the sub-session key in this response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD